Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config
Class ConfigReport

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.ConfigReport

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigReport

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: ConfigReport.java,v 1.5 2009/01/19 14:12:31 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`ConfigReport()`

Method Summary
`void` | `addConfigModule(ConfigModule vConfigModule)`
`void` | `addConfigModule(int index, ConfigModule vConfigModule)`
`void` | `addNsItem(int index, NsItem vNsItem)`
`void` | `addNsItem(NsItem vNsItem)`
`void` | `addUnit(int index, Unit vUnit)`
`void` | `addUnit(Unit vUnit)`
`java.util.Enumeration<? extends ConfigModule>` | `enumerateConfigModule()` Method enumerateConfigModule.
`java.util.Enumeration<? extends NsItem>` | `enumerateNsItem()` Method enumerateNsItem.
`java.util.Enumeration<? extends Unit>` | `enumerateUnit()` Method enumerateUnit.
`ConfigModule[]` | `getConfigModule()` Method getConfigModule.Returns the contents of the collection in an Array.
`ConfigModule` | `getConfigModule(int index)` Method getConfigModule.
`int` | `getConfigModuleCount()` Method getConfigModuleCount.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`NsItem[]` | `getNsItem()` Method getNsItem.Returns the contents of the collection in an Array.
`NsItem` | `getNsItem(int index)` Method getNsItem.
`int` | `getNsItemCount()` Method getNsItemCount.
`SchemaRef` | `getSchemaRef()` Returns the value of field 'schemaRef'.
`Unit[]` | `getUnit()` Method getUnit.Returns the contents of the collection in an Array.
`Unit` | `getUnit(int index)` Method getUnit.
`int` | `getUnitCount()` Method getUnitCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllConfigModule()`
`void` | `removeAllNsItem()`
`void` | `removeAllUnit()`
`boolean` | `removeConfigModule(ConfigModule vConfigModule)` Method removeConfigModule.
`ConfigModule` | `removeConfigModuleAt(int index)` Method removeConfigModuleAt.
`boolean` | `removeNsItem(NsItem vNsItem)` Method removeNsItem.
`NsItem` | `removeNsItemAt(int index)` Method removeNsItemAt.
`boolean` | `removeUnit(Unit vUnit)` Method removeUnit.
`Unit` | `removeUnitAt(int index)` Method removeUnitAt.
`void` | `setConfigModule(ConfigModule[] vConfigModuleArray)`
`void` | `setConfigModule(int index, ConfigModule vConfigModule)`
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setNsItem(int index, NsItem vNsItem)`
`void` | `setNsItem(NsItem[] vNsItemArray)`
`void` | `setSchemaRef(SchemaRef schemaRef)` Sets the value of field 'schemaRef'.
`void` | `setUnit(int index, Unit vUnit)`
`void` | `setUnit(Unit[] vUnitArray)`
`static ConfigReport` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigReport

    public ConfigReport()

Method Detail

### addConfigModule

    public void addConfigModule(ConfigModule vConfigModule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vConfigModule` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addConfigModule

    public void addConfigModule(int index,
                                ConfigModule vConfigModule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConfigModule` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addNsItem

    public void addNsItem(NsItem vNsItem)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vNsItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addNsItem

    public void addNsItem(int index,
                          NsItem vNsItem)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNsItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addUnit

    public void addUnit(Unit vUnit)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vUnit` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addUnit

    public void addUnit(int index,
                        Unit vUnit)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vUnit` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateConfigModule

    public java.util.Enumeration<? extends ConfigModule> enumerateConfigModule()

  Method enumerateConfigModule.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.ConfigModule elements

### enumerateNsItem

    public java.util.Enumeration<? extends NsItem> enumerateNsItem()

  Method enumerateNsItem.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.NsItem elements

### enumerateUnit

    public java.util.Enumeration<? extends Unit> enumerateUnit()

  Method enumerateUnit.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.Unit elements

### getConfigModule

    public ConfigModule getConfigModule(int index)
                                 throws java.lang.IndexOutOfBoundsException

  Method getConfigModule.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.ConfigModule at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getConfigModule

    public ConfigModule[] getConfigModule()

  Method getConfigModule.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getConfigModuleCount

    public int getConfigModuleCount()

  Method getConfigModuleCount.

  Returns:
    the size of this collection

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getNsItem

    public NsItem getNsItem(int index)
                     throws java.lang.IndexOutOfBoundsException

  Method getNsItem.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.NsItem at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getNsItem

    public NsItem[] getNsItem()

  Method getNsItem.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getNsItemCount

    public int getNsItemCount()

  Method getNsItemCount.

  Returns:
    the size of this collection

### getSchemaRef

    public SchemaRef getSchemaRef()

  Returns the value of field 'schemaRef'.

  Returns:
    the value of field 'SchemaRef'.

### getUnit

    public Unit getUnit(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getUnit.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.Unit at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getUnit

    public Unit[] getUnit()

  Method getUnit.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getUnitCount

    public int getUnitCount()

  Method getUnitCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllConfigModule

    public void removeAllConfigModule()

### removeAllNsItem

    public void removeAllNsItem()

### removeAllUnit

    public void removeAllUnit()

### removeConfigModule

    public boolean removeConfigModule(ConfigModule vConfigModule)

  Method removeConfigModule.

  Parameters:
    `vConfigModule` -
  Returns:
    true if the object was removed from the collection.

### removeConfigModuleAt

    public ConfigModule removeConfigModuleAt(int index)

  Method removeConfigModuleAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### removeNsItem

    public boolean removeNsItem(NsItem vNsItem)

  Method removeNsItem.

  Parameters:
    `vNsItem` -
  Returns:
    true if the object was removed from the collection.

### removeNsItemAt

    public NsItem removeNsItemAt(int index)

  Method removeNsItemAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### removeUnit

    public boolean removeUnit(Unit vUnit)

  Method removeUnit.

  Parameters:
    `vUnit` -
  Returns:
    true if the object was removed from the collection.

### removeUnitAt

    public Unit removeUnitAt(int index)

  Method removeUnitAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setConfigModule

    public void setConfigModule(int index,
                                ConfigModule vConfigModule)
                         throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vConfigModule` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setConfigModule

    public void setConfigModule(ConfigModule[] vConfigModuleArray)

  Parameters:
    `vConfigModuleArray` -

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setNsItem

    public void setNsItem(int index,
                          NsItem vNsItem)
                   throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNsItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setNsItem

    public void setNsItem(NsItem[] vNsItemArray)

  Parameters:
    `vNsItemArray` -

### setSchemaRef

    public void setSchemaRef(SchemaRef schemaRef)

  Sets the value of field 'schemaRef'.

  Parameters:
    `schemaRef` - the value of field 'schemaRef'.

### setUnit

    public void setUnit(int index,
                        Unit vUnit)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vUnit` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setUnit

    public void setUnit(Unit[] vUnitArray)

  Parameters:
    `vUnitArray` -

### unmarshal

    public static ConfigReport unmarshal(java.io.Reader reader)
                                  throws org.exolab.castor.xml.MarshalException,
                                         org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.ConfigReport
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD